<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RecycleAccount StructType
 * @subpackage Structs
 */
class RecycleAccount extends AbstractStructBase
{
    /**
     * The request
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\StructType\AccountRecycleRequest
     */
    public $request;
    /**
     * Constructor method for RecycleAccount
     * @uses RecycleAccount::setRequest()
     * @param \CustomerManagement\StructType\AccountRecycleRequest $request
     */
    public function __construct(\CustomerManagement\StructType\AccountRecycleRequest $request = null)
    {
        $this
            ->setRequest($request);
    }
    /**
     * Get request value
     * @return \CustomerManagement\StructType\AccountRecycleRequest|null
     */
    public function getRequest()
    {
        return $this->request;
    }
    /**
     * Set request value
     * @param \CustomerManagement\StructType\AccountRecycleRequest $request
     * @return \CustomerManagement\StructType\RecycleAccount
     */
    public function setRequest(\CustomerManagement\StructType\AccountRecycleRequest $request = null)
    {
        $this->request = $request;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\RecycleAccount
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
